Bug 1013039 - Review Request: java-diffutils - diff utils for Java
Summary: Review Request: java-diffutils - diff utils for Java
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW bigdata-review
TreeView+ depends on / blocked
 
Reported: 2013-09-27 16:25 UTC by Will Benton
Modified: 2020-08-10 00:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:47:51 UTC
Type: ---


Attachments (Terms of Use)
review notes (9.82 KB, text/plain)
2013-09-27 18:55 UTC, gil cattaneo
no flags Details

Description Will Benton 2013-09-27 16:25:58 UTC
Spec URL: http://freevariable.com/java-diff-utils/java-diff-utils.spec
SRPM URL: http://freevariable.com/java-diff-utils/java-diff-utils-1.3.0-1.fc19.src.rpm
Description: The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.
Fedora Account System Username: willb

Comment 1 gil cattaneo 2013-09-27 17:12:15 UTC
hi
there are some changes todo:
License ASL 2.0
If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD (read MUST) query upstream to include it.
Name should be 'diffutils' as the aId of the pom file

Group are unnecessary (required only for EPEL)
If the source oackage provides artifacs <= 2 then you can use
%mvn_file com.googlecode.java-diff-utils:diffutils diffutils
OR
%mvn_file :diffutils diffutils
OR
%mvn_file : diffutils
this in install the artifact in %{_javadir} instead of %{_javadir}/%{name}
regards

Comment 2 gil cattaneo 2013-09-27 17:18:40 UTC
(In reply to gil cattaneo from comment #1)

> Name should be 'diffutils' as the aId of the pom file
sorry forgot 'diffutils' pkg is already present in Fedora repo...
leave java-diff-utils or use java-diffutils

Comment 3 gil cattaneo 2013-09-27 17:19:17 UTC
i would like to take this review

Comment 4 Will Benton 2013-09-27 17:37:36 UTC
Spec URL: http://freevariable.com/java-diff-utils/java-diffutils.spec
SRPM URL: http://freevariable.com/java-diff-utils/java-diffutils-1.3.0-2.fc19.src.rpm
Description: The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.
Fedora Account System Username: willb

Comment 5 gil cattaneo 2013-09-27 18:55:49 UTC
Created attachment 804113 [details]
review notes

not approved

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 16 files have unknown license.
     Detailed output of licensecheck in /home/gil/1013039-java-
     diffutils/licensecheck.txt
ASL 1.1: src/main/java/difflib/myers/DiffException.java
         src/main/java/difflib/myers/MyersDiff.java
         src/main/java/difflib/myers/PathNode.java
         src/main/java/difflib/myers/Snake.java
[!]: Package contains no bundled libraries without FPC exception.
also available in http://www.docjar.com/jar_detail/org.apache.commons.jrcs.diff.jar.html

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

java-diffutils.noarch: W: summary-ended-with-dot C The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.
java-diffutils.noarch: E: summary-too-long C The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.
java-diffutils.src: W: summary-ended-with-dot C The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.
java-diffutils.src: E: summary-too-long C The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.
java-diffutils.src:8: W: macro-in-comment %{version}
java-diffutils.src:8: W: macro-in-comment %{name}
java-diffutils.src:8: W: macro-in-comment %{version}
java-diffutils.src:8: W: macro-in-comment %{name}
java-diffutils.src:8: W: macro-in-comment %{version}
java-diffutils.src:8: W: macro-in-comment %{name}
java-diffutils.src:8: W: macro-in-comment %{version}
java-diffutils.src: W: invalid-url Source0: java-diffutils-1.3.0.tar.gz

Comment 6 gil cattaneo 2013-09-27 18:59:35 UTC
please, report a bug @ http://code.google.com/p/java-diff-utils/issues/
for "source package does not include license text(s)"

Comment 7 Will Benton 2013-10-21 15:37:46 UTC
(In reply to gil cattaneo from comment #6)
> please, report a bug @ http://code.google.com/p/java-diff-utils/issues/
> for "source package does not include license text(s)"

http://code.google.com/p/java-diff-utils/issues/detail?id=32

Comment 8 gil cattaneo 2013-10-21 17:48:38 UTC
please, can also remove these warning?

java-diffutils.noarch: W: summary-ended-with-dot C The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.

java-diffutils.noarch: E: summary-too-long C The DiffUtils library for computing diffs, applying patches, generating side-by-side view in Java.

should be ...?
Summary:        Java diff and patch library


java-diffutils.src:8: W: macro-in-comment %{version}
java-diffutils.src:8: W: macro-in-comment %{name}

# svn export http://java-diff-utils.googlecode.com/svn/branches/1.3.0 java-diffutils-1.3.0 ; tar -czvf java-diffutils-1.3.0.tar.gz java-diffutils-1.3.0

thanks regards

Comment 9 gil cattaneo 2013-10-21 17:54:16 UTC
and read here sem this library have some problem with its license
http://debian.2.n7.nabble.com/Bug-696165-ITP-libdiffutils-java-Java-diff-and-patch-library-td2829123.html

Comment 10 gil cattaneo 2013-10-21 17:55:13 UTC
(In reply to gil cattaneo from comment #9)
> and read here sem this library have some problem with its license
> http://debian.2.n7.nabble.com/Bug-696165-ITP-libdiffutils-java-Java-diff-and-
> patch-library-td2829123.html

Further investigation found that this package had wrong/not plausible
licence claims as it said it was Apache2 whilst being clearly derived from
something that was never apache2 and the original author has not given
permission for any licence change.

Comment 11 gil cattaneo 2013-10-21 18:00:12 UTC
should be used http://code.google.com/p/jrcs/ ?

Comment 12 Will Benton 2013-10-21 19:59:08 UTC
Gil, it looks like JRCS is available as part of the opengrok package (albeit without Maven metadata).

Comment 13 gil cattaneo 2013-10-21 21:14:40 UTC
then open a new bug for opengrok, wher ask to give maven pom and depmap

e.g.

org.apache.commons.jrcs.diff
<?xml version="1.0" encoding="UTF-8"?>

https://github.com/OpenGrok/OpenGrok/blob/0.12-rc1/jrcs/pom.xml

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.opensolaris.opengrok</groupId>
    <artifactId>jrcs.diff</artifactId>
    <packaging>jar</packaging>
    <version>#VERSION#</version>
    <name>Java RCS</name>
</project>

org.apache.commons.jrcs.rcs
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.opensolaris.opengrok</groupId>
    <artifactId>jrcs.rcs</artifactId>
    <packaging>jar</packaging>
    <version>#VERSION#</version>
    <name>Java RCS</name>
</project>

coppy the pom file as with sed change <version>#VERSION#</version> with pkg opengrok version

Comment 14 Oliver Kopp 2018-06-26 18:45:26 UTC
I contacted the main authors of JRCS and java-diff-utils. We agreed to change the licence of the whole code to Apache-1.1.

jrcs: https://bitbucket.org/apalala/jrcs/src

java-diff-utils (moved from Google Code to GitHub) --> https://github.com/dnaumenko/java-diff-utils

I'm trying to maintain a more recent version at https://github.com/java-diff-utils/java-diff-utils. 

There is another fork (from Google Code) at https://github.com/java-diff-utils/java-diff-utils-wumpz. That fork, however, still uses the wrong license statement. I am trying to get in touch with the author.

Comment 15 Package Review 2020-07-10 00:48:45 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 16 Oliver Kopp 2020-07-10 12:48:49 UTC
Update: All code is Apache-2.0 now. Rewrote parts with unclear license. https://github.com/java-diff-utils/java-diff-utils

Comment 17 Package Review 2020-08-10 00:47:51 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.